<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ARTinBlockchain - Broker</title>

    <link href="css/bootstrap.min.css" rel="stylesheet">

  </head>
  <body>
    <div class="container text-center" style="width: 3000px;">
      <h1 class="text-center" id="containerTitle">ARTinBlockchain - Broker</h1>
      <br/>
      <div id="loader">
        <p class="text-center">Loading...</p>
      </div>
      <div id="content" style="display: none;">
        <input type="button" id="soldButton" value="Show sold artworks" onclick="BrokerApp.showSoldArtworks();">
        <input type="button" id="entrustedButton" value="Show entrusted artworks" onclick="BrokerApp.showEntrustedArtworks();">
        <div id="artworks">
          <h3 class="text-center" id="titleArtworks">Entrusted artworks</h3>
          <table class="table">
            <thead>
              <tr>
                <th scope="col">Id</th>
                <th scope="col">Artist</th>
                <th scope="col">Title</th>
                <th scope="col">Year</th>
                <th scope="col">Medium</th>
                <th scope="col">Dimensions</th>
                <th scope="col">Authentications</th>
                <th scope="col">Photo</th>
                <th scope="col">Commission</th>
                <th scope="col">Requester</th>
              </tr>
            </thead>
            <tbody id="artworksList">
            </tbody>
          </table>
        </div>
        <div id="soldArtworks">
            <h3 class="text-center">Sold artworks</h3>
            <table class="table">
              <thead>
                <tr>
                  <th scope="col">Id</th>
                  <th scope="col">Artist</th>
                  <th scope="col">Title</th>
                  <th scope="col">Year</th>
                  <th scope="col">Medium</th>
                  <th scope="col">Dimensions</th>
                  <th scope="col">Authentications</th>
                  <th scope="col">Photo</th>
                  <th scope="col">Requester</th>
                  <th scope="col">Selling price (ETH)</th>
                  <th scope="col">Commission (ETH)</th>
                </tr>
              </thead>
              <tbody id="soldArtworksList">
              </tbody>
            </table>
          </div>
          <hr/>
        <div id="memberOps" class="text-left">
          <i>EXTRA OPERATIONS </i><br><br>
          
          <form id="sellTo" onSubmit="MemberApp.sellTo(); return false;">
            Sell to a designated address:<br>
            <input type="text" placeholder="artworkId">
            <input type="text" placeholder="price(Ether)">
            <input type="text" placeholder="address">
            <input type="checkbox"><i>Private price</i><br>
            <input type="submit" value="Submit"><br><br>
          </form>
        </div>
        <br>
      </div>
      <hr/>
      <form>
        <input type="button" id="artistsButton" value="Show artists" onclick="MemberApp.showArtists();">
        <input type="button" id="authenticatorsButton" value="Show authenticators" onclick="MemberApp.showAuthenticators();"><br>
        <input type="button" id="brokersButton" value="Show brokers" onclick="MemberApp.showBrokers();"><br>
        <input type="button" id="investorsButton" value="Show investors" onclick="MemberApp.showInvestors();"><br>
      </form>
      <div id="artists">
        <h3 class="text-center" id="titleTable">Registered artists:</h3>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Address</th>
              <th scope="col">Name</th>
              <th scope="col">Email</th>                
            </tr>
          </thead>
          <tbody id="artistsList">
          </tbody>
        </table>
      </div>
      <hr/>
      <div id="authenticators">
        <h3 class="text-center" id="titleTable">Registered authenticators:</h3>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Address</th>
              <th scope="col">Name</th>
              <th scope="col">Email</th>
            </tr>
          </thead>
          <tbody id="authenticatorsList">
          </tbody>
        </table>
      </div>
      <div id="brokers">
        <h3 class="text-center" id="titleTable">Registered brokers:</h3>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Address</th>
              <th scope="col">Name</th>
              <th scope="col">Email</th>
            </tr>
          </thead>
          <tbody id="brokersList">
          </tbody>
        </table>
      </div>
      <div id="investors">
        <h3 class="text-center" id="titleTable">Registered investors:</h3>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">Address</th>
              <th scope="col">Professional</th>
              <th scope="col">Email</th>
            </tr>
          </thead>
          <tbody id="investorsList">
          </tbody>
        </table>
      </div>

    </div>
    <div class="modal fade" id="modalImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Image</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <img id="retrievedImg" width="400"/>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/web3.min.js"></script>
    <script src="js/truffle-contract.js"></script>
    
    <script src="js/memberApp.js"></script>
    <script src="js/brokerApp.js"></script>
  </body>
</html>